// =====================================================================
//  mandelbrot.h
// =====================================================================

//  Author:         (c) 2013-2017 Camil Demetrescu
//  License:        See the end of this file for license information
//  Created:        June 12, 2013
 
//  Last changed:   $Date: 2013/05/27 15:00:07 $
//  Changed by:     $Author: demetres $
//  Revision:       $Revision: 1.00 $


#ifndef __MANDELBROT__
#define __MANDELBROT__

#include "clut.h"

void mandelbrot_host(float rc, float ic, float scale, 
                     int w, int h, int max_iter,
                     unsigned char* img, double* t);

void mandelbrot_device(float rc, float ic, float scale, 
                       int w, int h, int max_iter,
                       unsigned char* img, clut_device* dev, double* td);

#endif


// Copyright (C) 2013-2017 Camil Demetrescu
  
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
  
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
  
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA
